[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalendarDialog.CalendarDblClick

Implements the event handler signalled for a double click on the calendar control in the dialog.

## Declaration

Source position: extdlgs.pas line 221

`protected procedure TCalendarDialog.CalendarDblClick(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object instance (TForm) for the event notification.

## Description

CalendarDblClick is the handler routine assigned to the OnDblClick event in the TCalendar instance for the dialog form. It ensures that the value in Date is updated when a mouse double click occurs on a date in the TCalendar control on the dialog form. GetNewDate is called to update the value in Date. The calendar dialog form is updated to set its ModalResult value to mbOK.

## See also

TCalendarDialog.Execute |  | Creates and displays the form for the calendar dialog, and captures the results.
TCalendar.OnDblClick |  | Event handler signalled when a mouse double click occurs in the control.